summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2016-10-12 22:00:41 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-12 22:02:40 +0200
commitf4031a9f5d3d5047fea0170b6aa38ae4d8f335ec (patch)
tree016c969ea8416a59514dea7bf379d65ab966518f
parentbbbe8c72a907e5a754ea5089a6c7da854d3be207 (diff)
downloadjenkins.debian.net-f4031a9f5d3d5047fea0170b6aa38ae4d8f335ec.tar.xz
reproducible_openwrt|lede: add debug to fix rsync bug
Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/reproducible_lede.sh1
-rwxr-xr-xbin/reproducible_openwrt.sh1
-rw-r--r--bin/reproducible_openwrt_common.sh13
3 files changed, 15 insertions, 0 deletions
diff --git a/bin/reproducible_lede.sh b/bin/reproducible_lede.sh
index cf19221f..fe4adcb2 100755
--- a/bin/reproducible_lede.sh
+++ b/bin/reproducible_lede.sh
@@ -28,6 +28,7 @@ case $1 in
openwrt_download |\
openwrt_get_banner |\
node_create_tmpdirs |\
+ node_debug |\
node_cleanup_tmpdirs) ;; # this is the allowed list
*)
echo "Unsupported remote node function $@"
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index 07233d2b..c071cf4e 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -28,6 +28,7 @@ case $1 in
openwrt_download |\
openwrt_get_banner |\
node_create_tmpdirs |\
+ node_debug |\
node_cleanup_tmpdirs) ;; # this is the allowed list
*)
echo "Unsupported remote node function $@"
diff --git a/bin/reproducible_openwrt_common.sh b/bin/reproducible_openwrt_common.sh
index b9478d48..f878720f 100644
--- a/bin/reproducible_openwrt_common.sh
+++ b/bin/reproducible_openwrt_common.sh
@@ -10,6 +10,11 @@ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
GENERIC_NODE2=profitbricks-build4-amd64.debian.net
# run on jenkins master
+node_debug() {
+ ls -al "$1" || true
+ ls -al "$1/" || true
+ ls -al "$1/download" || true
+}
# only called direct on a remote build node
node_cleanup_tmpdirs() {
@@ -311,6 +316,14 @@ build_two_times() {
# download and prepare openwrt on node b1
ssh $GENERIC_NODE1 reproducible_$TYPE node openwrt_download $TYPE $TARGET $CONFIG $TMPDIR
+
+ echo "== master"
+ ls -la "$TMPDIR/download/" || true
+ echo "== node1"
+ ssh $GENERIC_NODE2 reproducible_$TYPE node node_debug $TMPDIR
+ echo "== node2"
+ ssh $GENERIC_NODE2 reproducible_$TYPE node node_debug $TMPDIR
+
rsync -av $GENERIC_NODE1:$TMPDIR/download/ $TMPDIR/download/
rsync -av $TMPDIR/download/ $GENERIC_NODE2:$TMPDIR/download/